OpenTTD Source: ConfigIniFile Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Static Private Attributes
ConfigIniFile Class Reference

IniFile to store a configuration. More...

Inheritance diagram for ConfigIniFile:

## Public Member Functions
| ConfigIniFile (const std::string &filename)
Public Member Functions inherited from IniFile
| IniFile (const IniGroupNameList &list_group_names={})
| Create a new ini file with given group names.
bool | SaveToDisk (const std::string &filename)
| Save the Ini file's data to the disk.
std::optional< FileHandle > | OpenFile (const std::string &filename, Subdirectory subdir, size_t *size) override
| Open the INI file.
void | ReportFileError (const char *const pre, const char *const buffer, const char *const post) override
| Report an error about the file contents.
Public Member Functions inherited from IniLoadFile
| IniLoadFile (const IniGroupNameList &list_group_names={}, const IniGroupNameList &seq_group_names={})
| Construct a new in-memory Ini file representation.
const IniGroup * | GetGroup (std::string_view name) const
| Get the group with the given name.
IniGroup * | GetGroup (std::string_view name)
| Get the group with the given name.
IniGroup & | GetOrCreateGroup (std::string_view name)
| Get the group with the given name, and if it doesn't exist create a new group.
IniGroup & | CreateGroup (std::string_view name)
| Create an group with the given name.
void | RemoveGroup (std::string_view name)
| Remove the group with the given name.
void | LoadFromDisk (const std::string &filename, Subdirectory subdir)
| Load the Ini file's data from the disk.

## Static Private Attributes
static const IniGroupNameList | list_group_names

## Additional Inherited Members
Public Types inherited from IniLoadFile
using | IniGroupNameList = std::initializer_list< std::string_view >
Data Fields inherited from IniLoadFile
std::list< IniGroup > | groups
| all groups in the ini
std::string | comment
| last comment in file
const IniGroupNameList | list_group_names
| list of group names that are lists
const IniGroupNameList | seq_group_names
| list of group names that are sequences.

## Detailed Description

IniFile to store a configuration.

Definition at line 136 of file settings.cpp.

## Constructor & Destructor Documentation

## ◆ ConfigIniFile()

ConfigIniFile::ConfigIniFile | ( | const std::string & | filename | ) |
| inline

Definition at line 149 of file settings.cpp.

## Field Documentation

## ◆ list_group_names

const IniGroupNameList ConfigIniFile::list_group_names
| inlinestaticprivate

Initial value:
= {
"bans",
"newgrf",
"servers",
"server_bind_addresses",
"server_authorized_keys",
"rcon_authorized_keys",
"admin_authorized_keys"
}

Definition at line 138 of file settings.cpp.

The documentation for this class was generated from the following file:

- src/settings.cpp